using UnityEngine;

namespace AsteroidGame.Entities
{
    public class EnemyBase : EntityBase
    {
        [SerializeField] private SEnemyBaseRuntimeSet _enemyBaseSet;

        protected override void OnEnable()
        {
            base.OnEnable();
            _enemyBaseSet.Add(this);
        }

        protected override void OnDisable()
        {
            base.OnDisable();
            _enemyBaseSet.Remove(this);
        }
    }
}