using AsteroidGame.Interfaces;
using UnityEngine;

namespace AsteroidGame.Entities
{
    public class SWeaponConfig : ScriptableObject, IWeapon
    {
        [SerializeField] private float _fireRate;
        [SerializeField] private float _damage;

        public float FireRate
        {
            get => _fireRate;
            set => _fireRate = value;
        }

        public float Damage
        {
            get => _damage;
            set => _damage = value;
        }
    }
}